"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BABEL_CONFIG_ORDER = undefined;
exports.mergeJSON = mergeJSON;

var _sortObjectKeys = require("sort-object-keys");

var _sortObjectKeys2 = _interopRequireDefault(_sortObjectKeys);

var _lodash = require("lodash");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mergeJSON(path, data) {
  var order = arguments.length <= 2 || arguments[2] === undefined ? [] : arguments[2];

  var oldData = this.fs.readJSON(path, {});

  var newData = (0, _lodash.merge)(oldData, data);
  var sortedData = (0, _sortObjectKeys2.default)(newData, order);

  this.fs.writeJSON(path, sortedData);
}

var BABEL_CONFIG_ORDER = exports.BABEL_CONFIG_ORDER = ["presets", "plugins", "env"];