"use strict";

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _fs = require("fs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);
  },
  end: function end() {
    var _this = this;

    var done = this.async();

    (0, _fs.stat)(this.destinationPath(".git"), function (err) {
      if (err !== null) {
        // Directory doesn't exist
        _this.spawnCommandSync("git", ["init"]);
        _this.spawnCommandSync("git", ["commit", "--allow-empty", "-m", "Empty commit"]);
        _this.spawnCommandSync("git", ["add", "."]);
        _this.spawnCommandSync("git", ["commit", "-m", "Initial commit"]);
      }

      done();
    });
  }
});