"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Interviewer = function () {
  function Interviewer(options) {
    _classCallCheck(this, Interviewer);

    this.options = options;

    this.questions = [];
    this.answers = {};
  }

  _createClass(Interviewer, [{
    key: "ask",
    value: function ask(key, question) {
      var value = this.options[key];

      if (value === undefined) {
        this.questions.push(question);
      } else {
        this.answers[key] = value;
      }
    }
  }, {
    key: "prompt",
    value: function prompt(generator) {
      var _this = this;

      return new Promise(function (resolve) {
        var done = generator.async();

        generator.prompt(_this.questions, function (answers) {
          done();
          resolve(_extends({}, _this.answers, answers));
        });
      });
    }
  }]);

  return Interviewer;
}();

exports.default = Interviewer;