"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mergePackage = mergePackage;

var _sortPackageJson = require("sort-package-json");

var _sortPackageJson2 = _interopRequireDefault(_sortPackageJson);

var _lodash = require("lodash");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mergePackage(packageData) {
  var oldPackageData = this.fs.readJSON(this.destinationPath("package.json"), {});

  var newPackageData = (0, _lodash.merge)(oldPackageData, packageData);
  var sortedPackageData = (0, _sortPackageJson2.default)(newPackageData);

  this.fs.writeJSON(this.destinationPath("package.json"), sortedPackageData);
}