"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mergePackage = mergePackage;

var _lodash = require("lodash");

function mergePackage(fileSystem, packageFilePath, packageData) {
  var oldPackageData = fileSystem.readJSON(packageFilePath, {});
  var newPackageData = (0, _lodash.merge)(oldPackageData, packageData);
  fileSystem.writeJSON(packageFilePath, newPackageData);
}