"use strict";

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _ignoreFile = require("../app/editor/ignoreFile");

var _package = require("../app/editor/package");

var _names = require("../app/names");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);
  },
  configuring: function configuring() {
    _package.mergePackage.call(this, {
      scripts: {
        "generate": "yo " + _names.GENERATOR_NAME
      },

      devDependencies: {
        // FIXME: Packages are too big
        // TODO: Version number
        // "yo": "*",
        // [GENERATOR_PACKAGE_NAME]: "*",
      }
    });

    (0, _ignoreFile.addIgnorePatternsToFile)(this.fs, this.destinationPath(".npmignore"), ["/.yo-rc.json"]);

    this.config.save();
  },
  install: function install() {
    this.npmInstall();
  }
});