"use strict";

var _yeomanGenerator = require("yeoman-generator");

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

var _ignoreFile = require("../app/editor/ignoreFile");

var _json = require("../app/editor/json");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = _yeomanGenerator2.default.Base.extend({
  constructor: function constructor() {
    _yeomanGenerator2.default.Base.apply(this, arguments);
  },
  configuring: function configuring() {
    _json.mergeJSON.call(this, this.destinationPath("test/manifest.json"), {
      extends: ["../.eslintrc", "renke/config/mocha"]
    });

    (0, _ignoreFile.addIgnorePatternsToFile)(this.fs, this.destinationPath(".npmignore"), ["/test/.eslintrc"]);
  },
  install: function install() {
    this.npmInstall();
  }
});